﻿using Stimulsoft.Report;
using Stimulsoft.Report.Viewer;
using System;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrintPreviewControl
{ 
    public class PreviewControl : IPrintPreViewControl
    {
       

        public void Show()
        {
            var template = File.ReadAllText(@"..\..\Template\template.json");
            StiReport report = new StiReport();
            report.LoadFromJson(template);
            DataSet dataSet1 = new DataSet();
            dataSet1.ReadXmlSchema(@"..\..\Data\Demo.xsd");
            dataSet1.ReadXml(@"..\..\Data\Demo.xml");
            report.RegData(dataSet1);
            report.ShowDotMatrixWithWpf();

        }


    }
}
